using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using PhoenixDLL.Class;

namespace PhoenixDLL.GUI
{
    /// <summary>
    /// Frame des options du calendrier
    /// </summary>
    public partial class fr_Options : Form
    {
        #region Variables
        /// <summary>
        /// Objet de proprits
        /// </summary>
        protected Options options = Options.GetInstance();
        #endregion

        #region Constructeurs
        /// <summary>
        /// Constructeur
        /// </summary>
        public fr_Options()
        {
            InitializeComponent();

            pg_Properties.SelectedObject = options;
        }
        #endregion

        #region Event
        /// <summary>
        /// Evnement sur un clique sur OK
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void OK_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.OK;
            this.Close();
        }

        /// <summary>
        /// Evnement sur un clique sur Annuler
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void btn_Cancel_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.Cancel;
            this.Close();
        }
        #endregion
    }
}